package com.ningdatech.pmapi.projectlib.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.pmapi.projectlib.model.po.ProjectPO;
import com.ningdatech.pmapi.projectlib.model.req.ProjectListReq;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-03
 */
public interface ProjectMapper extends BaseMapper<Project> {

    Page<ProjectPO> pageAllWithPermission(Page<ProjectPO> page, @Param("req") ProjectListReq req);

    Page<ProjectPO> pagelibWithPermission(Page<ProjectPO> page, @Param("req") ProjectListReq req);
}
